package org.jeecg.modules.basedata.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdMilestoneTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.basedata.entity.FdMilestoneTemplateItem;

/**
 * @Description: 里程碑模板
 * @author： jeecg-boot
 * @date：   2019-05-14
 * @version： V1.0
 */
public interface FdMilestoneTemplateMapper extends BaseMapper<FdMilestoneTemplate> {
    long getCount();

    List<FdMilestoneTemplate> getAllPage(Map<String,Object> mp);

    FdMilestoneTemplate getByIdMilestoneTemplate(@Param("id")String id);

    void parentIdBatch(@Param("templateItemList")List<FdMilestoneTemplateItem> templateItemList);


}
